#!/usr/bin/perl
#
#-
# Copyright (c) 2019  StorPool.
# All rights reserved.
#

use v5.010;
use strict;
use warnings;
use Config::IniFiles;
use File::Temp;
use IO::Socket;

my $cfg = Config::IniFiles->new( -file => "/etc/storpool.conf", -fallback => "ALL" );

my $fh = File::Temp->new(TEMPLATE => '.beacob.guids..XXXXXX', DIR => "/var/run/storpool/");

foreach my $sec ($cfg->Sections) {
	next if( $sec eq "ALL" );
	
	my $ourId = $cfg->val($sec, "SP_OURID");
	
	for( my $i = 0; $i < 2; $i++ ) {
		my @cfg = split ":",$cfg->val($sec, "SP_IFACE".($i+1)."_CFG") // "";
		next if $cfg[0] != '2';
		my $guid = $cfg[2] //  "0x0";
		
		print $fh "n".$ourId."p".$i."=$guid;";
	}
}

print $fh "\0";
my $out = "/var/run/storpool/beacon.guids";
rename $fh, $out or
	die "Could not rename $fh to $out: $!\n";

$fh->unlink_on_destroy(0);
close $fh;

socket(CLIENT, PF_UNIX, SOCK_DGRAM, 0);
connect(CLIENT, sockaddr_un("/var/run/storpool/beacon.cmd.sock")) or
	exit(0);

print CLIENT "parseGuids"
