#!/bin/sh

set -e

repofile='repo/storpool-centos.repo'
repokey='repo/RPM-GPG-KEY-StorPool'

repofilename="$(basename -- "$repofile")"
repokeyname="$(basename -- "$repokey")"

if [ -n "$SP_REPO_LOCAL_PATH" ]; then
	if [ "${SP_REPO_LOCAL_PATH#/}" = "$SP_REPO_LOCAL_PATH" ]; then
		echo 'The value of SP_REPO_LOCAL_PATH should be an absolute path' 1>&2
		exit 1
	fi

	repotmp="$repofile.local"
	sed -e 's#^baseurl=.*/contrib/#baseurl=file://'"$SP_REPO_LOCAL_PATH/"'#' -- \
	    "$repofile" > "$repotmp"

	install -C -o root -g root -m 644 -- "$repotmp" \
	    "/etc/yum.repos.d/$repofilename"
	rm -f -- "$repotmp"
else
	install -C -o root -g root -m 644 -- "$repofile" /etc/yum.repos.d/
fi

install -C -o root -g root -m 644 -- "$repokey" /etc/pki/rpm-gpg/

rpmkeys_prog="$(type -p rpmkeys 2>/dev/null || true)"
if [ -f "$rpmkeys_prog" ] && [ -x "$rpmkeys_prog" ]; then
	"$rpmkeys_prog" --import "/etc/pki/rpm-gpg/$repokeyname"
fi

yum --enablerepo=storpool-contrib clean metadata
